package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcZdqyml;
import org.apache.ibatis.annotations.Param;

/**
 * 重点企业名录Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface TcZdqymlMapper 
{
    /**
     * 查询重点企业名录
     * 
     * @param id 重点企业名录主键
     * @return 重点企业名录
     */
    public TcZdqyml selectTcZdqymlById(Long id);

    /**
     * 查询重点企业名录列表
     * 
     * @param tcZdqyml 重点企业名录
     * @return 重点企业名录集合
     */
    public List<TcZdqyml> selectTcZdqymlList(TcZdqyml tcZdqyml);

    /**
     * 新增重点企业名录
     * 
     * @param tcZdqyml 重点企业名录
     * @return 结果
     */
    public int insertTcZdqyml(TcZdqyml tcZdqyml);

    /**
     * 修改重点企业名录
     * 
     * @param tcZdqyml 重点企业名录
     * @return 结果
     */
    public int updateTcZdqyml(TcZdqyml tcZdqyml);

    /**
     * 删除重点企业名录
     * 
     * @param id 重点企业名录主键
     * @return 结果
     */
    public int deleteTcZdqymlById(Long id);

    /**
     * 批量删除重点企业名录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcZdqymlByIds(Long[] ids);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus, @Param("ids") List<String> ids);
}
